Boomi Platform API Reference (1.0.0) - RosettaNetConnectorRecord
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
RosettaNet Connector Records correspond to the trading partner details of the Process Reporting page in the user interface. The RosettaNet Connector Record object contains RosettaNet-specific document information and user-defined tracked field information along with other fields.
Required Privileges
You need these privileges in the target environment:
Write access
- N/A
Read access
- API — Use the Boomi Platform API to access account data.
Queries for a RosettaNetConnectorRecord object(s)
- To filter by customFields, use the format
customFields/fieldNameas the filter property, wherefieldNameis the element name of the custom field in the RosettaNet Connector Record structure. To get a list of the available custom fields, refer to the CustomTrackedField. - The STARTS_WITH operator accepts values that do not include spaces.
For general information about the structure of QUERY filters, their sample payloads, and how to handle the paged results, refer to Query filters and Query paging.
Authorizations:
Request Body schema: optional
required | object | ||||||||||
| |||||||||||
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request. |
Array of objects (RosettaNetConnectorRecord) |
Request samples
- Payload
{- "QueryFilter": {
- "expression": {
- "argument": [
- "execution-01234567-89ab-cdef-0123-456789abcdef-2018.09.05"
], - "operator": "EQUALS",
- "property": "executionId"
}
}
}Response samples
- 200
- 403
- 410
- 503
{- "numberOfResults": 100,
- "@type": "QueryResult",
- "result": [
- {
- "@type": "RosettaNetConnectorRecord",
- "ackStatus": "Acknowledged",
- "ackReport": "Success",
- "senderID": "951751851",
- "receiverID": "928523723",
- "knownInitiatingPartnerID": "951751851",
- "frameworkVersion": "2.0",
- "PIPCode": "3A4",
- "PIPVersion": "V02.00.00",
- "globalProcessCode": "N/A",
- "globalBusinessActionCode": "N/A",
- "globalDocumentFunctionCode": "N/A",
- "fromGlobalPartnerRoleClassificationCode": "Seller",
- "toGlobalPartnerRoleClassificationCode": "42",
- "fromGlobalBusinessServiceCode": "Seller Service",
- "toGlobalBusinessServiceCode": "Buyer Service",
- "businessActivityIdentifier": "Request Purchase Order",
- "processInstanceIdentifier": "N/A",
- "transactionInstanceIdentifier": "9",
- "actionInstanceIdentifier": "2",
- "inResponseToGlobalBusinessActionCode": "Purchase Order Request",
- "inResponseToInstanceIdentifier": "9",
- "globalUsageCode": "Test",
- "attemptCount": "N/A",
- "dateTime": "20180905T062412.327Z",
- "isSecureTransportRequired": "Yes",
- "timeToAcknowledgeAcceptance": "N/A",
- "timeToAcknowledgeReceipt": "N/A",
- "timeToPerform": "N/A",
- "account": "account-123456",
- "executionId": "execution-01234567-89ab-cdef-0123-456789abcdef-2018.09.05",
- "atomId": "3456789a-bcde-f012-3456-789abcdef012",
- "dateProcessed": "2018-09-05T06:24:12Z",
- "id": "connector-abcdef01-2345-6789-abcd-ef0123456789",
- "actionType": "Listen",
- "connectorType": "rosettanet",
- "connectorName": "Start",
- "operationName": "Sample RosettaNet Listen Operation",
- "documentIndex": 0,
- "successful": true,
- "size": [
- "Long",
- 654
], - "customFields": [
- {
- "customNumber": 13,
- "customDate": "2018-09-05T10:53:59-0400",
- "customCharacter": "sample"
}
]
}, - {
- "@type": "RosettaNetConnectorRecord",
- "ackStatus": "Acknowledged",
- "ackReport": "Success",
- "senderID": "951751851",
- "receiverID": "928523723",
- "knownInitiatingPartnerID": "951751851",
- "frameworkVersion": "2.0",
- "PIPCode": "3A4",
- "PIPVersion": "V02.00.00",
- "globalProcessCode": "N/A",
- "globalBusinessActionCode": "N/A",
- "globalDocumentFunctionCode": "N/A",
- "fromGlobalPartnerRoleClassificationCode": "Seller",
- "toGlobalPartnerRoleClassificationCode": "42",
- "fromGlobalBusinessServiceCode": "Seller Service",
- "toGlobalBusinessServiceCode": "Buyer Service",
- "businessActivityIdentifier": "Request Purchase Order",
- "processInstanceIdentifier": "N/A",
- "transactionInstanceIdentifier": "9",
- "actionInstanceIdentifier": "2",
- "inResponseToGlobalBusinessActionCode": "Purchase Order Request",
- "inResponseToInstanceIdentifier": "9",
- "globalUsageCode": "Test",
- "attemptCount": "N/A",
- "dateTime": "20180905T062502.327Z",
- "isSecureTransportRequired": "Yes",
- "timeToAcknowledgeAcceptance": "N/A",
- "timeToAcknowledgeReceipt": "N/A",
- "timeToPerform": "N/A",
- "account": "account-123456",
- "executionId": "execution-01234567-89ab-cdef-0123-456789abcdef-2018.09.05",
- "atomId": "3456789a-bcde-f012-3456-789abcdef012",
- "dateProcessed": "2018-09-05T06:25:02Z",
- "id": "connector-bcdef012-3456-789a-bcde-f0123456789a",
- "actionType": "Listen",
- "connectorType": "rosettanet",
- "connectorName": "Start",
- "operationName": "Sample RosettaNet Listen Operation",
- "documentIndex": 49,
- "successful": true,
- "size": [
- "Long",
- 564
], - "customFields": [
- {
- "customNumber": 55,
- "customDate": "2018-09-05T10:57:14-0400",
- "customCharacter": "sample"
}
]
}
]
}Retrieves additional results for a RosettaNetConnectorRecord query
To learn about using queryMore, refer to the topic Query paging.
Authorizations:
Request Body schema: text/plainrequired
Query token from the previous query response used to retrieve the next page of results.
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request. |
Array of objects (RosettaNetConnectorRecord) |
Request samples
- Payload
/nd0PlROcmuUK8MV8KPzCVXwA/pgZZ0NfsYjhqLNyothPzrFIh0OQLP6Hq3ERMSAl38Dz3NV5otJ/0+a....
Response samples
- 200
- 403
- 410
- 503
{- "numberOfResults": 100,
- "@type": "QueryResult",
- "result": [
- {
- "@type": "RosettaNetConnectorRecord",
- "ackStatus": "Acknowledged",
- "ackReport": "Success",
- "senderID": "951751851",
- "receiverID": "928523723",
- "knownInitiatingPartnerID": "951751851",
- "frameworkVersion": "2.0",
- "PIPCode": "3A4",
- "PIPVersion": "V02.00.00",
- "globalProcessCode": "N/A",
- "globalBusinessActionCode": "N/A",
- "globalDocumentFunctionCode": "N/A",
- "fromGlobalPartnerRoleClassificationCode": "Seller",
- "toGlobalPartnerRoleClassificationCode": "42",
- "fromGlobalBusinessServiceCode": "Seller Service",
- "toGlobalBusinessServiceCode": "Buyer Service",
- "businessActivityIdentifier": "Request Purchase Order",
- "processInstanceIdentifier": "N/A",
- "transactionInstanceIdentifier": "9",
- "actionInstanceIdentifier": "2",
- "inResponseToGlobalBusinessActionCode": "Purchase Order Request",
- "inResponseToInstanceIdentifier": "9",
- "globalUsageCode": "Test",
- "attemptCount": "N/A",
- "dateTime": "20180905T062412.327Z",
- "isSecureTransportRequired": "Yes",
- "timeToAcknowledgeAcceptance": "N/A",
- "timeToAcknowledgeReceipt": "N/A",
- "timeToPerform": "N/A",
- "account": "account-123456",
- "executionId": "execution-01234567-89ab-cdef-0123-456789abcdef-2018.09.05",
- "atomId": "3456789a-bcde-f012-3456-789abcdef012",
- "dateProcessed": "2018-09-05T06:24:12Z",
- "id": "connector-abcdef01-2345-6789-abcd-ef0123456789",
- "actionType": "Listen",
- "connectorType": "rosettanet",
- "connectorName": "Start",
- "operationName": "Sample RosettaNet Listen Operation",
- "documentIndex": 0,
- "successful": true,
- "size": [
- "Long",
- 654
], - "customFields": [
- {
- "customNumber": 13,
- "customDate": "2018-09-05T10:53:59-0400",
- "customCharacter": "sample"
}
]
}, - {
- "@type": "RosettaNetConnectorRecord",
- "ackStatus": "Acknowledged",
- "ackReport": "Success",
- "senderID": "951751851",
- "receiverID": "928523723",
- "knownInitiatingPartnerID": "951751851",
- "frameworkVersion": "2.0",
- "PIPCode": "3A4",
- "PIPVersion": "V02.00.00",
- "globalProcessCode": "N/A",
- "globalBusinessActionCode": "N/A",
- "globalDocumentFunctionCode": "N/A",
- "fromGlobalPartnerRoleClassificationCode": "Seller",
- "toGlobalPartnerRoleClassificationCode": "42",
- "fromGlobalBusinessServiceCode": "Seller Service",
- "toGlobalBusinessServiceCode": "Buyer Service",
- "businessActivityIdentifier": "Request Purchase Order",
- "processInstanceIdentifier": "N/A",
- "transactionInstanceIdentifier": "9",
- "actionInstanceIdentifier": "2",
- "inResponseToGlobalBusinessActionCode": "Purchase Order Request",
- "inResponseToInstanceIdentifier": "9",
- "globalUsageCode": "Test",
- "attemptCount": "N/A",
- "dateTime": "20180905T062502.327Z",
- "isSecureTransportRequired": "Yes",
- "timeToAcknowledgeAcceptance": "N/A",
- "timeToAcknowledgeReceipt": "N/A",
- "timeToPerform": "N/A",
- "account": "account-123456",
- "executionId": "execution-01234567-89ab-cdef-0123-456789abcdef-2018.09.05",
- "atomId": "3456789a-bcde-f012-3456-789abcdef012",
- "dateProcessed": "2018-09-05T06:25:02Z",
- "id": "connector-bcdef012-3456-789a-bcde-f0123456789a",
- "actionType": "Listen",
- "connectorType": "rosettanet",
- "connectorName": "Start",
- "operationName": "Sample RosettaNet Listen Operation",
- "documentIndex": 49,
- "successful": true,
- "size": [
- "Long",
- 564
], - "customFields": [
- {
- "customNumber": 55,
- "customDate": "2018-09-05T10:57:14-0400",
- "customCharacter": "sample"
}
]
}
]
}